using BarContracts.BindingModels;
using BarContracts.SearchModels;
using BarContracts.ViewModels;

namespace BarContracts.BusinessLogicContracts
{
    public interface ICocktailLogic
    {
        List<CocktailViewModel>? ReadList(CocktailSearchModel? Model);
        CocktailViewModel? ReadElement(CocktailSearchModel Model);
        bool Create(CocktailBindingModel Model);
        bool Update(CocktailBindingModel Model);
        bool Delete(CocktailBindingModel Model);
    }
}
